<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.fateverse.workflow.mapper.TaskRuntimeMapper">

    <select id="searchTaskListByProcessInstanceIds" resultType="org.flowable.task.service.impl.persistence.entity.TaskEntityImpl">
        select ID_ as id, NAME_ as name, PROC_INST_ID_ as processInstanceId,TASK_DEF_KEY_ as taskDefinitionKey
        from act_ru_task where PROC_INST_ID_ in
        <foreach collection="list" open="(" separator="," close=")" item="processInstanceId">
            #{processInstanceId}
        </foreach>
    </select>
</mapper>